'  
'   Rebex Sample Code License
' 
'   Copyright 2026, REBEX CR s.r.o.
'   All rights reserved.
'   https://www.rebex.net/
' 
'   Permission to use, copy, modify, and/or distribute this software for any
'   purpose with or without fee is hereby granted.
' 
'   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
'   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
'   OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
'   NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
'   HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
'   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
'   FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
'   OTHER DEALINGS IN THE SOFTWARE.
' 

Imports System.ComponentModel
Imports System.Windows.Forms
Imports Rebex.TerminalEmulation

Namespace Scripts
    <Description("07: Checking text at screen position")> _
    Public Class TextAtPosition
        Public Shared Sub Execute(scripting As Scripting)
            ' determine the row above the cursor
            Dim textRow As Integer = Math.Max(0, scripting.Terminal.Screen.CursorTop - 1)

            ' check for text
            Dim match As ScriptMatch = scripting.CheckFor(ScriptEvent.TextAtPosition("Hello world!", textRow, 0))

            ' display a message indicating whether the text was found
            If match.Success Then
                MessageBox.Show("'Hello world!' found.")
            Else
                MessageBox.Show("'Hello world!' not found.")
            End If

            ' end of script
        End Sub
    End Class
End Namespace
